Skip to main content
POST
/
v2
/
auth
/
agents
/
{agent_id}
/
connections
Create Connection
curl --request POST \
  --url https://api.example.com/v2/auth/agents/{agent_id}/connections \
  --header 'Content-Type: application/json' \
  --data '
{
  "oauth_token_id": "<string>"
}
'
{
  "id": "<string>",
  "agent_id": "<string>",
  "oauth_token_id": "<string>",
  "provider_id": "<string>",
  "provider_account_label": "<string>",
  "scopes": [
    "<string>"
  ],
  "expires_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Path Parameters

agent_id
string
required

Agent ID

Body

application/json
oauth_token_id
string
required

Response

Successful Response

id
string
required
agent_id
string
required
oauth_token_id
string
required
provider_id
string
required
provider_account_label
string | null
required
scopes
string[]
required
expires_at
string<date-time> | null
required
created_by
string
required
created_at
string<date-time>
required